Loading...
Searching...
No Matches
mpi_scatter_begin.h

Go to the source code of this file.

## Namespaces

namespace | rheolef
| This file is part of Rheolef.

## Functions

template<class InputIterator, class Message, class Tag, class Comm>
void | mpi_scatter_begin_global (InputIterator x, Message &from, Message &to, Tag tag, Comm comm)
template<class InputIterator, class OutputIterator, class SetOp, class Message>
void | mpi_scatter_begin_local (InputIterator x, OutputIterator y, Message &from, Message &to, SetOp op)
template<class InputIterator, class OutputIterator, class Message>
void | mpi_scatter_begin_local (InputIterator x, OutputIterator y, Message &from, Message &to, details::generic_set_op op)
template<class InputIterator, class OutputIterator, class Message, class SetOp, class Tag, class Comm>
void | mpi_scatter_begin (InputIterator x, OutputIterator y, Message &from, Message &to, SetOp op, Tag tag, Comm comm)